summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMoritz Poldrack <git@moritz.sh>2022-03-16 20:39:21 +0100
committerRobin Jarry <robin@jarry.cc>2022-03-17 11:26:29 +0100
commit350be4dd568bd6678419183ce0c311b051b259f5 (patch)
treee942ef2d57d96f9145b1aca6fd3423209aa91208
parent8a91ed7394ff0db37310b2762219a65b1bed53b8 (diff)
downloadaerc-350be4dd568bd6678419183ce0c311b051b259f5.tar.gz
aerc-350be4dd568bd6678419183ce0c311b051b259f5.zip
add wiki
This commit adds a user guide with examples on how to use and configure aerc. Examples for abook, password manager integration, pgp, and custom colorize scripts are provided. Signed-off-by: Moritz Poldrack <git@moritz.sh>
-rw-r--r--configurations/index.md17
-rw-r--r--index.md12
-rw-r--r--integrations/index.md63
3 files changed, 92 insertions, 0 deletions
diff --git a/configurations/index.md b/configurations/index.md
new file mode 100644
index 00000000..8d7faf9a
--- /dev/null
+++ b/configurations/index.md
@@ -0,0 +1,17 @@
+# Configurations
+
+## Custom plain text filter colours
+
+To configure the
+[colorize](https://git.sr.ht/~rjarry/aerc/tree/master/item/filters/colorize)
+filter to use your preferred colour scheme, you can copy it into your home
+directory and edit it as you wish.
+
+You can then call the edited filter by setting the following in your
+`aerc.conf`.
+
+```ini
+text/plain=awk -f ~/.config/aerc/filters/custom-colorize
+```
+
+- [solarized by Shaleen Jain](https://lists.sr.ht/~rjarry/aerc-devel/patches/30119#%3C20220310045758.228592-1-shaleen@jain.sh%3E+filters/colorize)
diff --git a/index.md b/index.md
new file mode 100644
index 00000000..9c8c063b
--- /dev/null
+++ b/index.md
@@ -0,0 +1,12 @@
+# aerc-wiki
+
+This is the place where aerc users can share their tip, tricks, and solutions
+to common problems. If you want to contribute, please send your patches to
+~rjarry/aerc-devel@lists.sr.ht and prefix them with `wiki`.
+
+## Menu
+
+- [integrations](integrations/index.md) – How to make aerc work with various
+ other programs.
+- [configurations](configurations/index.md) – A selection of various useful
+ configuration entries
diff --git a/integrations/index.md b/integrations/index.md
new file mode 100644
index 00000000..1f4f8da9
--- /dev/null
+++ b/integrations/index.md
@@ -0,0 +1,63 @@
+# Integrations
+
+## abook
+
+To use abook with aerc, you can simply add the following line to your
+`aerc.conf`.
+
+```ini
+address-book-cmd=abook --mutt-query "%s"
+```
+
+## Get Password from your Password manager
+
+Requires:
+- a password-manager supporting Freedesktop.org Secret Service integration
+- secret-tool (usually provided by `libsecret` or a similar package)
+
+Tested with:
+- KeePassXC
+
+1. create the following script:
+
+```shell
+#!/bin/sh
+
+secret-tool lookup "$1" "$2"
+# wait until the password is available
+while [ $? != 0 ]; do
+ secret-tool lookup "$1" "$2"
+done
+```
+
+2. Edit your `accounts.conf` to use `source-cred-cmd` and `outgoing-cred-cmd`
+ to point to the script.
+
+```
+source-cred-cmd = ~/.config/aerc/scripts/wait-for-creds.sh Title "Mailaccount (Work)"
+```
+
+aerc will now wait for the credentials to become available (for you to unlock
+you password manager) when starting.
+
+## PGP
+
+> At the moment PGP Support is still in it's early stages and will likely
+> change as time goes on. Tickets relating to this can be found in
+> ~sircmpwn's tracker: [#353](https://todo.sr.ht/~sircmpwn/aerc2/353)
+> [#354](https://todo.sr.ht/~sircmpwn/aerc2/354)
+> [#355](https://todo.sr.ht/~sircmpwn/aerc2/355)
+> [#357](https://todo.sr.ht/~sircmpwn/aerc2/357)
+> [and more](https://todo.sr.ht/~sircmpwn/aerc2?search=label%3A%22pgp%22)
+
+**Please be aware:** at the moment PGP support requires you to export your
+private keys. Please ensure that your home directory is protected against
+unauthorised access.
+
+To create a PGP-Keyring and fill it with your keys from GPG, you can run the
+following commands:
+
+```shell
+gpg --export >> ~/.local/share/aerc/keyring.asc
+gpg --export-secret-keys >> ~/.local/share/aerc/keyring.asc
+```